parameters:

services:
    _defaults:
        autowire: true
        autoconfigure: true

    App\:
        resource: '../src/'
        exclude:
            - '../src/DependencyInjection/'
            - '../src/Entity/'
            - '../src/Kernel.php'
            - '../src/Tests/'

    App\Service\:
        resource: '../src/Service/'
        tags: ['app.service']

    App\EventListener\UserListener:
        tags:
            - { name: 'doctrine.event_listener', event: 'preUpdate' }

